From 9eb0daf6079beade2bcc13d0062d90a7644685f5 Mon Sep 17 00:00:00 2001
From: Miroslav Rezanina <mrezanin@redhat.com>
Date: Wed, 31 Jul 2013 08:04:35 +0200
Subject: pc: Give rhel6.0.0 a kvmclock

Message-id: <1375201922-6794-10-git-send-email-armbru@redhat.com>
Patchwork-id: 52817
O-Subject: [RHEL-7 PATCH v3 09/15] pc: Give rhel6.0.0 a kvmclock
Bugzilla: 983991
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
RH-Acked-by: Bandan Das <bsd@redhat.com>
RH-Acked-by: Miroslav Rezanina <mrezanin@redhat.com>

RHEL-6.0 inherited kvmclock from upstream qemu-kvm.  It later made its
way into upstream qemu (commit 0ec329d), and we switched to it in
RHEL-6.2 (commit 17ca2d2).

Since kvmclock was new in upstream qemu, the commit took care to
enable it only for new machine types.  Since it wasn't new in RHEL-6,
the backport dropped that part.

Drop it in RHEL-7, too.

Signed-off-by: Markus Armbruster <armbru@redhat.com>

diff --git a/hw/i386/pc_piix.c b/hw/i386/pc_piix.c
index 57877e3..e48545b 100644
--- a/hw/i386/pc_piix.c
+++ b/hw/i386/pc_piix.c
@@ -931,20 +931,10 @@ static QEMUMachine pc_machine_rhel700 = {
 
 static void pc_init_rhel600(QEMUMachineInitArgs *args)
 {
-    ram_addr_t ram_size = args->ram_size;
-    const char *cpu_model = args->cpu_model;
-    const char *kernel_filename = args->kernel_filename;
-    const char *kernel_cmdline = args->kernel_cmdline;
-    const char *initrd_filename = args->initrd_filename;
-    const char *boot_device = args->boot_device;
     has_pvpanic = false;
     disable_kvm_pv_eoi();
     enable_compat_apic_id_mode();
-    pc_init1(get_system_memory(),
-             get_system_io(),
-             ram_size, boot_device,
-             kernel_filename, kernel_cmdline,
-             initrd_filename, cpu_model, 1, 0);
+    pc_init_rhel700(args);
 }
 
 static QEMUMachine pc_machine_rhel600 = {
